## ros-jazzy-moveit-msgs 2.5.0

=== debian/changelog ===
ros-jazzy-moveit-msgs (2.5.0-2bookworm) bookworm; urgency=high

  * Update CI jobs to run Jazzy, Iron
  * Adds get group urdf service (#174 <https://github.com/ros-planning/moveit_msgs/issues/174>)
    * Add service
    * Format
    * Format and use MoveItErrorCode
  * Contributors: Henning Kayser, Sebastian Jahr

 -- Dave Coleman <dave@dav.ee>  Thu, 06 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-msgs (2.4.0-2bookworm) bookworm; urgency=high

  * Add error message string to MoveItErrorCode msg (#171 <https://github.com/ros-planning/moveit_msgs/issues/171>)
    * Add error message string to MoveItErrorCode msg
    * Add error source string
    * Add comments
    * Update msg/MoveItErrorCodes.msg
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Update msg/MoveItErrorCodes.msg
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Defined UNDEFINED (#172 <https://github.com/ros-planning/moveit_msgs/issues/172>)
  * Add PipelineState msg
  * Merge CI updates from branch 'master' into ros2
  * CI: Update GHA (#166 <https://github.com/ros-planning/moveit_msgs/issues/166>)
  * Merge CI updates from branch 'master' into ros2
  * CI: Update .pre-commit-config.yaml (#163 <https://github.com/ros-planning/moveit_msgs/issues/163>)
  * CI format.yml: Update GHA
  * 0.11.4
  * Add more MoveItErrorCodes to match all OMPL codes (#147 <https://github.com/ros-planning/moveit_msgs/issues/147>)
  * Contributors: Abishalini Sivaraman, AndyZe, Robert Haschke, Sebastian Jahr, mosfet80

 -- Dave Coleman <dave@dav.ee>  Wed, 10 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-msgs (2.3.0-2bookworm) bookworm; urgency=high

  * Remove drift and control dimension services, add ServoCommandType service and ServoStatus message (#161 <https://github.com/ros-planning/moveit_msgs/issues/161>)
  * Merge commit '1c7f63e' into ros2
  * Add controller names to execution (#160 <https://github.com/ros-planning/moveit_msgs/issues/160>)
  * 0.11.3
  * Rename: cartesian_speed_end_effector_link -> cartesian_speed_limited_link (#130 <https://github.com/ros-planning/moveit_msgs/issues/130>)
    Co-authored-by: Thies Oelerich <mailto:thies.oelerich@iwu.fraunhofer.de>
  * clean all trailing whitespace in definitions (#134 <https://github.com/ros-planning/moveit_msgs/issues/134>)
  * CI: Update pat-s/always-upload-cache
  * Remove disclaimer from CollisionObject pose (#126 <https://github.com/ros-planning/moveit_msgs/issues/126>)
    With https://github.com/ros-planning/moveit/pull/2037 merged, this disclaimer can be removed
  * fix long comments in msg (#123 <https://github.com/ros-planning/moveit_msgs/issues/123>)
  * Added message fields for setting the maximum cartesian end effector for cartesian paths (#113 <https://github.com/ros-planning/moveit_msgs/issues/113>)
    * Added message fields for setting the maximum cartesian end effector
    speed of the computed path.
    * Add disclaimer for (yet) unsupported field
    Co-authored-by: Thies Oelerich <mailto:thies.oelerich@iwu.fraunhofer.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
  * Contributors: Felix von Drigalski, Henning Kayser, Michael Görner, Peter Mitrano, Robert Haschke, Stephanie Eng, Thies Oelerich, V Mohammed Ibrahim, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-msgs (2.2.2-2bookworm) bookworm; urgency=high

  * Remove disclaimer from CollisionObject pose (#126 <https://github.com/ros-planning/moveit_msgs/issues/126>)
  * Add fields in GetCartesianPath srv to scale velocity and acceleration (#154 <https://github.com/ros-planning/moveit_msgs/issues/154>)
  * Fix clang-format-14 version in Format CI job (#151 <https://github.com/ros-planning/moveit_msgs/issues/151>)
  * Switch to clang-format-14 (#150 <https://github.com/ros-planning/moveit_msgs/issues/150>)
  * move_group: Delete unused ExecuteKnownTrajectory.srv (#149 <https://github.com/ros-planning/moveit_msgs/issues/149>)
  * Contributors: AndyZe, Felix von Drigalski, Henning Kayser, Yadu

 -- Dave Coleman <dave@dav.ee>  Thu, 11 May 2023 16:00:00 -0000

ros-jazzy-moveit-msgs (2.2.1-2bookworm) bookworm; urgency=high

  * Add more MoveItErrorCodes to match all OMPL codes (#146 <https://github.com/ros-planning/moveit_msgs/issues/146>)
  * Factor of 2 in OMPL orientation constraints, to match kinematic_constraints (#145 <https://github.com/ros-planning/moveit_msgs/issues/145>)
  * Note on constraint tolerances (#141 <https://github.com/ros-planning/moveit_msgs/issues/141>)
  * Humble CI and prerelease (#139 <https://github.com/ros-planning/moveit_msgs/issues/139>)
  * Contributors: AndyZe, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Mon, 24 Oct 2022 16:00:00 -0000

ros-jazzy-moveit-msgs (2.2.0-2bookworm) bookworm; urgency=high

  * Add hybrid planning action definitons (#135 <https://github.com/ros-planning/moveit_msgs/issues/135>)
  * Contributors: AndyZe, Sebastian Jahr, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Thu, 09 Dec 2021 16:00:00 -0000

ros-jazzy-moveit-msgs (2.1.1-2bookworm) bookworm; urgency=high

  * Add jerk to JointLimits.msg (#132 <https://github.com/ros-planning/moveit_msgs/issues/132>)
  * Contributors: AndyZe

 -- Dave Coleman <dave@dav.ee>  Sun, 26 Sep 2021 16:00:00 -0000

ros-jazzy-moveit-msgs (2.1.0-2bookworm) bookworm; urgency=high

  * Sync with master branch up to 460caab <https://github.com/ros-planning/moveit_msgs/commit/460caab755cfe018ad07effd7dd808127a7e5c61> (#120 <https://github.com/ros-planning/moveit_msgs/issues/120>)
  * Enable CI on Rolling, Galactic (#117 <https://github.com/ros-planning/moveit_msgs/issues/117>)
  * Pre-release testing workflow for ROS 2 (#118 <https://github.com/ros-planning/moveit_msgs/issues/118>)
  * Contributors: Jafar Abdi, Henning Kayser, Tyler Weaver, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Wed, 16 Jun 2021 16:00:00 -0000


